org.openstreetmap.josm.plugins.streetside.gui

## Class StreetsideImageDisplay.ImgDisplayMouseListener

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.gui.StreetsideImageDisplay.ImgDisplayMouseListener

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener
  Enclosing class:
    StreetsideImageDisplay

      private class StreetsideImageDisplay.ImgDisplayMouseListener
      extends java.lang.Object
      implements java.awt.event.MouseListener, java.awt.event.MouseWheelListener, java.awt.event.MouseMotionListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `lastTimeForMousePoint`
    `private boolean` | `mouseIsDragging`
    `private java.awt.Point` | `mousePointInImg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `ImgDisplayMouseListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `checkPointInVisibleRect(java.awt.Point p, java.awt.Rectangle visibleRect)`
    `void` | `mouseClicked(java.awt.event.MouseEvent e)` Center the display on the point that has been clicked
    `void` | `mouseDragged(java.awt.event.MouseEvent e)`
    `void` | `mouseEntered(java.awt.event.MouseEvent e)`
    `void` | `mouseExited(java.awt.event.MouseEvent e)`
    `void` | `mouseMoved(java.awt.event.MouseEvent e)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)` Initialize the dragging, either with button 1 (simple dragging) or button 3 (selection of a picture part)
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`
    `void` | `mouseWheelMoved(java.awt.event.MouseWheelEvent e)` Zoom in and out, trying to preserve the point of the image that was under the mouse cursor at the same place

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mouseIsDragging

          private boolean mouseIsDragging

    - #### lastTimeForMousePoint

          private long lastTimeForMousePoint

    - #### mousePointInImg

          private java.awt.Point mousePointInImg

  - ### Constructor Detail

    - #### ImgDisplayMouseListener

          private ImgDisplayMouseListener()

  - ### Method Detail

    - #### mouseWheelMoved

          public void mouseWheelMoved(java.awt.event.MouseWheelEvent e)

      Zoom in and out, trying to preserve the point of the image that was under the mouse cursor at the same place
      Specified by:
        `mouseWheelMoved` in interface `java.awt.event.MouseWheelListener`

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent e)

      Center the display on the point that has been clicked
      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Initialize the dragging, either with button 1 (simple dragging) or button 3 (selection of a picture part)
      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseDragged

          public void mouseDragged(java.awt.event.MouseEvent e)

      Specified by:
        `mouseDragged` in interface `java.awt.event.MouseMotionListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent e)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent e)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

    - #### mouseMoved

          public void mouseMoved(java.awt.event.MouseEvent e)

      Specified by:
        `mouseMoved` in interface `java.awt.event.MouseMotionListener`

    - #### checkPointInVisibleRect

          private void checkPointInVisibleRect(java.awt.Point p,
                                               java.awt.Rectangle visibleRect)

JOSM Plugins